Set or clear a tenant residency pin (superadmin, AAL3 step-up)
const url = 'https://example.com/v1/system/orgs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/region';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"data_region":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/system/orgs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/region \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "data_region": "example" }'Sets or clears the data residency pin of one tenant. The region is validated against the residency registry, and an empty region clears the pin.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”Tenant identifier (UUIDv7).
Request Body required
Section titled “ Request Body required ”object
Residency region pin; empty clears the pin
Example generated
{ "data_region": "example"}Responses
Section titled “ Responses ”OK
object
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "data_region": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "slug": "example", "status": "example", "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Bad request
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Unauthenticated
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Forbidden
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Not found
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Conflict / setup required
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Rate limited
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}